Package org.globus.gsi.trustmanager

# Class SigningPolicyChecker

java.lang.Object
org.globus.gsi.trustmanager.SigningPolicyChecker

All Implemented Interfaces:
  `CertificateChecker`

public class SigningPolicyChecker extends Object implements CertificateChecker
This checks to make sure the Distinguished Name in the certificate is valid according to the signing policy.

## Constructor Summary

Constructors
Constructor
Description
`SigningPolicyChecker(SigningPolicyStore policyStore)`

## Method Summary

Modifier and Type
Method
Description
`void`
`invoke(X509Certificate cert, GSIConstants.CertificateType certType)`
Validate DN against the signing policy

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SigningPolicyChecker

public SigningPolicyChecker(SigningPolicyStore policyStore)

## Method Details

### invoke

public void invoke(X509Certificate cert, GSIConstants.CertificateType certType) throws CertPathValidatorException
Validate DN against the signing policy

Specified by:
  `invoke` in interface `CertificateChecker`
Parameters:
  `cert` - The certificate to check.
  `certType` - The type of certificate to check.
Throws:
  `CertPathValidatorException` - if the certificate is invalid according to the signing policy.